#!/bin/sh
source ./firebase.conf
RESP_TOKEN=$(curl -s "$TOKEN_URL" \
	-H 'Content-Type: application/json' \
	--data-binary '{"email":"'$FB_EMAIL'","password":"'$FB_PASSWORD'","returnSecureToken":true}')
ID_TOKEN=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.idToken')
CHARLIE_ID=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.localId')
	
MYIP=$(ifconfig br-lan | sed -En 's/127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p')
data='{"ip": "'"$MYIP"'"}'

statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/charlies/$CHARLIE_ID.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
	echo $(date)' : Error while uploading IP to Firebase' >> /var/log/charlie.log;
else
	echo $(date)' : Uploaded IP:'$MYIP' to CID:'$CHARLIE_ID >> /var/log/charlie.log;
fi
